Get general campaign information
GET/v1/campaigns/:campaignId
Gets the basic properties of a sponsored jobs campaign.
Request the employer.advertising.campaign.read OAuth scope for an employer access token.
| OAuth scope | Access token type |
|---|---|
employer.advertising.campaign.read | Employer access token. |
Request
Path Parameters
Campaign ID of the campaign to get.
Responses
- 200
- 401
- 403
- 404
- 500
Returns general campaign information.
- application/json
- Schema
- Example (from schema)
- Active campaign
- Paused campaign
Schema
Array [
]
Array [
-
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to. -
next: The next page of entries in a paginated result. -
prev: The previous page of entries in a paginated result. ]
objectiveType, which specifies the campaign objectivetarget, which specifies the goal metric for some objective typesBALANCE: Maximize total applications for your budget while balancing spend across jobs.MAXIMUM: Maximize total applications for your budget without balancing clicks across jobs.QUICK: Five-day campaign with a higher budget for faster results.You cannot create or update campaigns with this objective through Sponsored Jobs API.
You can still retrieve reports for campaigns with this objective if they were created in Indeed for Employers.
TARGET_APPLICATIONS: Aim for the number of applications specified bytarget.When the target is reached, spend on those jobs is greatly reduced and shifted elsewhere.
TARGET_COST_PER_APPLICATION: Aim to keep the cost per application below the value specified bytarget.SCHEDULED_INTERVIEWS: Send screened candidates directly to interview and aim for the number of interviews specified bytarget.This objective requires an active Indeed Hiring Platform subscription and should be used only if the customer is ready to create hiring events for the included jobs.
- BALANCE
- MAXIMUM
- QUICK
- TARGET_APPLICATIONS
- TARGET_COST_PER_APPLICATION
- SCHEDULED_INTERVIEWS
Array [
-
BEFORE_START_DATE: The current date in US Central Time is before the campaign start date. -
AFTER_END_DATE: The current date in US Central Time is on or after the campaign end date. -
ACCOUNT_MONTHLY_BUDGET_HIT: The employer account has already spent its monthly budget. -
MONTHLY_BUDGET_HIT: The campaign has already spent its monthly budget. -
ONETIME_BUDGET_HIT: The campaign has already spent its total budget. -
JOB_SOURCE_NOT_VERIFIED: Indeed has not yet verified the job source. -
BILLING_PENDING: The employer account does not have valid billing information. -
USER_PAUSED_CAMPAIGN: The campaign was paused as requested. -
USER_DELETED_CAMPAIGN: The campaign was deleted as requested. -
TARGET_APPLICATIONS_HIT: The campaign has already reached the requested number of applications. -
OTHER: Unknown reason. ]
-
Bonus Sponsored Job Credits: Funded with annual deals bonus credits.
-
Budget: Funded with regular budget.
-
PREMIUM: Campaign uses the premium plan. -
STANDARD: Campaign uses the standard plan. -
""(empty string): Normal campaign.
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Errors that prevented the request from being processed successfully.
If there are no errors, this value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page.
The value may be smaller than the maximum you requested with the perPage parameter.
If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource.
Can contain query string parameters.
To get the complete URL, append the href to rootLocation.
data
object
Possible values: non-empty and <= 250 characters
Campaign name. Use it to identify the campaign later. It must be unique within your employer account.
Campaign ID. Automatically generated when the campaign is created.
Possible values: [SOURCE, HOSTED]
Type of job sponsored by the campaign. Either SOURCE (jobs gathered from the web, or sent to Indeed using an XML feed) or HOSTED (jobs posted using the Post a Job page).
Possible values: [ACTIVE, DELETED, PAUSED]
Default value: ACTIVE
Campaign status. PAUSED keeps the campaign inactive until you enable it, or temporarily stops sponsorship.
ISO 4217 currency code of the currency for the campaign's budget.
Possible values: <= 255 characters
Click-tracking token added to the job URL for sponsored clicks. Use it to identify clicks from Indeed and the campaign that sponsored them.
Objective
object
Hiring goals for the campaign.
Setting this field makes the campaign an objective-based campaign.
The value is a JSON object with:
For example, to target 10 applications:
{ "objectiveType": "TARGET_APPLICATIONS", "target": 10}You can add an objective to a campaign that does not already have one, and you can change the target value.
You cannot remove an objective or change its objectiveType.
objectiveType
string
Possible values: [BALANCE, MAXIMUM, QUICK, TARGET_APPLICATIONS, TARGET_COST_PER_APPLICATION, SCHEDULED_INTERVIEWS]
The campaign objective.
You cannot update this field for average daily budget (ADB) campaigns ( STANDARD and PREMIUM).
Available values:
Campaigns created outside your application might use new objective types that your application does not yet support.
Add fallback logic to handle unexpected objectiveType values.
any
any
any
Number of apps that the campaign should reach.
Cost per app that the campaign should stay below, in the employer account's currency. Sponsored Jobs API parses, stores and returns the value as an exact decimal fraction, not a floating point number.
Number of interviews that the campaign should reach.
NonSpendingReasons
object[]
Reasons that prevent the campaign from sponsoring jobs.
Possible values: [BEFORE_START_DATE, AFTER_END_DATE, ACCOUNT_MONTHLY_BUDGET_HIT, MONTHLY_BUDGET_HIT, ONETIME_BUDGET_HIT, JOB_SOURCE_NOT_VERIFIED, BILLING_PENDING, USER_PAUSED_CAMPAIGN, USER_DELETED_CAMPAIGN, TARGET_APPLICATIONS_HIT, OTHER]
ID for the problem. Supported values:
Human-readable description of the problem.
Possible values: [TMN]
Channels on which the campaign is spending. Excludes default channels.
Possible values: [Bonus Sponsored Job Credits, Budget]
Funding source for the campaign:
Possible values: [PREMIUM, STANDARD, ``]
Sponsorship plan for the annual deals bonus credits-funded campaign.
avgDailyBudgetConfig
object
Possible values: [AUTO]
Required.
Average daily budget (ADB) behavior.
Valid value: AUTO.
Possible values: <= 1500
Boosts the base average daily budget (ADB) per job by a percentage.
Use this field only for flexible ADB campaigns.
Do not use it for monthly or one-time campaigns.
New jobs added manually or through query resolution inherit the same percentage increase over recommended budgets.
Valid values are 0 to 1500.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": { "Name": "Entry Level Jobs - Priority 1", "Id": "ee4d641cab17b22c", "Type": "SOURCE", "Status": "ACTIVE", "CurrencyCode": "USD", "TrackingToken": "&source=indeed", "Objective": { "objectiveType": "BALANCE" }, "NonSpendingReasons": [ { "type": "BEFORE_START_DATE", "description": "The current date in US Central Time is before the campaign start date." } ], "SpendingChannels": [ "TMN" ], "FundingSource": "Bonus Sponsored Job Credits", "SponsorshipPlan": "PREMIUM" }, "avgDailyBudgetConfig": { "adbBehaviour": "AUTO", "budgetBoostPercentage": 30 }}{ "meta": { "status": 200, "errors": null, "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": [ { "rel": "up", "href": "/v1/campaigns" }, { "rel": "Traffic Statistics", "href": "/v1/campaigns/ee4d641cab17b22c/stats" } ] }, "data": { "Name": "Entry Level Jobs - Priority 1", "Id": "ee4d641cab17b22c", "Type": "SOURCE", "Status": "ACTIVE", "CurrencyCode": "USD", "TrackingToken": "&source=indeed", "Objective": { "objectiveType": "TARGET_APPLICATIONS", "target": 10 }, "NonSpendingReasons": [], "SpendingChannels": [ "TMN" ], "FundingSource": "", "SponsorshipPlan": "" }}{ "meta": { "status": 200, "errors": null, "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": [ { "rel": "up", "href": "/v1/campaigns" }, { "rel": "Traffic Statistics", "href": "/v1/campaigns/48eee5f3bb716870/stats" } ] }, "data": { "Name": "Entry Level Jobs - Priority 2", "Id": "48eee5f3bb716870", "Type": "SOURCE", "Status": "PAUSED", "CurrencyCode": "JPY", "MaxCostPerClick": 25, "DailyBudget": 68, "TrackingToken": "&source=indeed", "NonSpendingReasons": [ { "type": "USER_PAUSED_CAMPAIGN", "description": "<p>Campaign has been paused, as requested.</p>" } ], "SpendingChannels": [], "FundingSource": "Bonus Sponsored Job Credits", "SponsorshipPlan": "STANDARD" }}Request did not include a valid access token:
The @@PH0@@ header is missing or malformed. Include the access token using the
Bearerscheme — for example,Authorization: Bearer XYZ.The access token is malformed. When building requests manually, check that you copied the token without missing or extra characters at the start or end.
The access token has expired. Tokens expire after one hour (3,600 seconds).
Get a new token using your client credentials (2-legged OAuth) or a refresh token (3-legged OAuth).
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
-
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to. -
next: The next page of entries in a paginated result. -
prev: The previous page of entries in a paginated result. ]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Errors that prevented the request from being processed successfully.
If there are no errors, this value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page.
The value may be smaller than the maximum you requested with the perPage parameter.
If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource.
Can contain query string parameters.
To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 401, "errors": [ { "type": "INVALID_TOKEN", "description": "<p>Invalid OAuth access token.</p>" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}Valid access token that cannot be used with this API.
Inspect the error returned in meta.errors for details.
| Error type | Meaning and common causes |
|---|---|
INSUFFICIENT_SCOPE | The access token does not have the OAuth v2 token scope required for this API endpoint. For common causes, see FAQ and troubleshooting. |
NOT_EMPLOYER_ACCESS_TOKEN | This endpoint requires an Employer access token. That is, you must specify the |
LEGACY_ACCESS_TOKEN_NOT_ALLOWED | Sponsored Jobs API no longer supports access tokens that you get through legacy OAuth endpoints. For updated endpoints, see Integrate with Indeed and call APIs. |
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
-
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to. -
next: The next page of entries in a paginated result. -
prev: The previous page of entries in a paginated result. ]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Errors that prevented the request from being processed successfully.
If there are no errors, this value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page.
The value may be smaller than the maximum you requested with the perPage parameter.
If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource.
Can contain query string parameters.
To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 403, "errors": [ { "type": "INSUFFICIENT_SCOPE", "description": "<p>Access token does not have permission to access this API.</p>" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}Requested campaign either does not exist or belongs to another employer. Be sure to use an access token that represents the employer that owns the requested campaign. See Get an employer access token.
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
-
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to. -
next: The next page of entries in a paginated result. -
prev: The previous page of entries in a paginated result. ]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Errors that prevented the request from being processed successfully.
If there are no errors, this value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page.
The value may be smaller than the maximum you requested with the perPage parameter.
If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource.
Can contain query string parameters.
To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 404, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "<p>Couldn't locate the requested resource.</p>" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": { "rel": "up", "href": "/v1/campaigns" } }, "data": null}Unexpected error occurred.
The problem is sometimes temporary and the exact same request may succeed after retrying.
If retrying the request does not help, a problem with parsing the request might have occurred.
Verify that all the required parameters are present and that all parameters are correctly formatted.
If you use an access token obtained with client credentials grant type (2-legged OAuth) with the legacy Sponsored Jobs API endpoint, the INTERNAL_SERVER_ERROR error occurs.
Be sure to use the latest base URL (
https://apis.indeed.com/ads).- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
-
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to. -
next: The next page of entries in a paginated result. -
prev: The previous page of entries in a paginated result. ]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Errors that prevented the request from being processed successfully.
If there are no errors, this value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page.
The value may be smaller than the maximum you requested with the perPage parameter.
If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource.
Can contain query string parameters.
To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 500, "errors": [ { "type": "INTERNAL_SERVER_ERROR", "description": "<p>Failed to process the request.</p>" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}